<% editor ||= defined?(Ckeditor) ? :ckeditor : :text %>

<%= semantic_form_for [:admin, resource] do |f| %>
  <%= f.inputs "Details" do %>
    <%= f.input :title %>
    <%= f.input :published_at, as: :string,
                               input_html: { class: 'datepicker' } %>

    <%= f.input :state, collection: %w(published drafted), as: :select %>

    <%= f.input :news_topics, input_html: { class: 'select2' } %>
  <% end %>

  <% if resource.respond_to?(:blocks)  %>
    <%= f.inputs "Content" do %>
      <%= f.input :excerpt, as: editor %>
    <% end %>
    <%= render 'admin/blocks/form', f: f %>
  <% else %>
    <%= f.inputs "Content" do %>
      <%= f.input :excerpt, as: editor %>
      <%= f.input :body, as: editor %>
    <% end %>
  <% end %>

  <%= f.inputs 'Meta' do %>
    <%= f.input :meta_description,
                  input_html: { class: 'plaintext', rows: 10 } %>
  <% end %>

  <%= f.actions %>
<% end %>